<?php
/**
 * @package WordPress
 * @subpackage Surgical Directions
 */
?>

<?php include ("includes/page.header.php") ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<!-- Begin Template: page.php  -->

<?php
	$ban_image_id = get_post_thumbnail_id($post->ID);

	if($ban_image_id){
		$imgClass = "bannerimg";
		$ban_main     = wp_get_attachment_image_src($ban_image_id,'full-screen-narrow', true)[0];
		$ban_tablet   = wp_get_attachment_image_src($ban_image_id,'full-screen-medium', true)[0];
		$ban_mobile   = wp_get_attachment_image_src($ban_image_id,'full-screen-small', true)[0];

		$largecss  = ".mainvisual".'{background-image:url('.$ban_main.');}';
		$tabletcss = ".mainvisual".'{background-image:url('.$ban_tablet.');}';
		$mobilecss = ".mainvisual".'{background-image:url('.$ban_mobile.');}';

		echo '<style>'.$largecss.'@media (max-width: 1024px) {'.$tabletcss.'}@media (max-width: 600px) {'.$mobilecss.'}</style>';
	}else{
		$imgClass = "gradient";
	}


	endwhile; else: endif;
 ?>
	<div class="mainvisual subpage <?=$imgClass?>">
		<div class="wrapper">
			<h1 class="pagetitle">
				<?php if ( single_cat_title('', false) ) { single_cat_title( '', true ); }?>
				<?php if ( is_post_type_archive() ) { post_type_archive_title(); }?>
				<?php if ( is_year() ) { get_the_date( 'Y' ); } ?>
			</h1>
		</div>
	</div>
	<div class="content">
		<div class="wrapper">
			<div class="section threequarter left maincontent">
				<div class="postwrap posts full">
					<?php
						$i=1;
						if (have_posts()) : while (have_posts()) : the_post();
						$perma = get_permalink($post->ID);
					?>

						<div class="post post<?=$i?>"><div class='feat'>
								<?php if ( has_post_thumbnail() ) {
									echo "<a href='".$perma."' >";
									the_post_thumbnail('resource');
									echo '</a>';
								}?></div>
							<div class="content">
								<h2><a href="<?=$perma ?>" ><?php the_title(); ?></a></h2>
								<p><?php echo get_the_excerpt() ?></p>
								<a class="readmore" href="<?=$perma ?>" >Read More</a>
							</div>
						</div> <!--END post post<?=$i?> -->

				<?php
					$i++;
					endwhile;
					endif;
				?>
				<?php 	global $wp_query;
					$big = 999999999; // need an unlikely integer
					$pagination = paginate_links( array(
						'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
						'format' => '?paged=%#%',
						'current' => max( 1, get_query_var('paged') ),
						'total' => $wp_query->max_num_pages,
						'type' => 'array'
					) );
					if($pagination){
						echo "<div class='section full pagination'>";
						foreach ($pagination as $page) {
							echo $page;
						}
						echo "</div><!-- section full pagination -->";
					}
				?>
				</div>  <!-- END .section full maincontent -->
			</div>  <!-- END .section threequarter -->
			<div class="section onequarter right sidebar">
				<div class="full widgets list">
					<?php include 'includes/page.sidebar.php'; ?>
				</div>  <!-- END .section -->
			</div>  <!-- END .section onequarter -->
		</div>  <!-- END .wrapper -->

		<?php if($meta['sidebar_sidebar_consultants']['0'] != 'true'){ ?>
			<div class="section related-content full graylt">
				<div class="wrapper">
					<h2 class="sectiontitle">Related Collateral</h2>
					<?php include ('includes/page.related-content.php'); ?>
				</div> <!-- END wrapper -->
			</div> <!-- END section related-content full graylt -->
		 <?php } ?>

	</div>  <!-- END #content -->

<!-- End Template: page.php  -->


<?php include ("includes/page.footer.php") ?>