<?php
/**
 * @package WordPress
 * @subpackage Surgical Directions - 2016
 */
?>

<?php include ("includes/page.header.php") ?>

<!-- Begin Template: front-page.php  -->

<div class="content homepage">

	<?php
	$ban_image_id = $meta['homepage_banner_image'][0];
	$ban_main     = wp_get_attachment_image_src($ban_image_id,'full-screen', true)[0];
	$ban_tablet   = wp_get_attachment_image_src($ban_image_id,'full-screen-medium', true)[0];
	$ban_mobile   = wp_get_attachment_image_src($ban_image_id,'full-screen-small', true)[0];

	$largecss  = ".mainvisual.banner".'{background-image:url('.$ban_main.');}';
	$tabletcss = ".mainvisual.banner".'{background-image:url('.$ban_tablet.');}';
	$mobilecss = ".mainvisual.banner".'{background-image:url('.$ban_mobile.');}';

	echo '<style>'.$largecss.'@media (max-width: 1024px) {'.$tabletcss.'}@media (max-width: 600px) {'.$mobilecss.'}</style>';

	?>
	<div class="mainvisual banner">
		<div class="overlay">
			<div class="conwrap">
				<div class="wrapper">
					<style>
					@media (max-width: 786px) { .title { width: 100% !important; } }
					.under-banner { background: linear-gradient(to right, #96c93d, #1b9ad6); }
					.under-banner .wrapper { padding: 60px 0; max-width: 700px; text-align: center; color: #fff; }
				</style>
				<h1 class="title" style="font-size: 40px; color: #fff; width: 70%;"><?= $meta['homepage_banner_title'][0]; ?></h1>
				<div class="intro"><?= html_entity_decode($meta['homepage_banner_subtitle'][0]); ?></div>
				<a class="button alt" style="margin-bottom: 20px;" href="<?= $meta['homepage_banner_button_url'][0]; ?>"><?= $meta['homepage_banner_button_text'][0]; ?></a>
			</div>
		</div>
	</div>
</div>
<div style="display: block; clear: both; float: none;"></div>
<div class="under-banner">
	<div class="conwrap">
		<div class="wrapper">
			<?= $meta['homepage_banner_text'][0]; ?>
		</div>
	</div>
</div>

<div class="section full serviceintro center">
	<div class="wrapper">
		<?php
		$i = 1;
		while ($i <= 5) {
			$icon = get_stylesheet_directory().'/img/service_'.$meta['homepage_services_service_'.$i.'_icon'][0].'.svg';
			$svg = file_get_contents($icon, null, null);
			echo '<div class="service service_'.$i.' '.$icon.'"><div class="icon"><a href="'.$meta['homepage_services_service_'.$i.'_url'][0].'">'.$svg.'</a></div><h2 class="title"><a href="'.$meta['homepage_services_service_'.$i.'_url'][0].'">'.$meta['homepage_services_service_'.$i.'_title'][0].'</a></h2><div class="desc">'.$meta['homepage_services_service_'.$i.'_desc'][0].'</div></div>';
			$i++;
		}
		?>
	</div>
</div>  <!-- END .section -->


<div class="section full resources">
	<div class="wrapper">
		<h2 class="sectiontitle"><?=$meta['homepage_casestudies_title'][0] ?></h2>
		<p class="intro"><?=$meta['homepage_casestudies_intro'][0] ?></p>
		<?php
		$args = array(
			'class'         => 'cards resources cardgrid',
			'imageSize'		=> 'page-width',
			'postclass'		=> 'card',
			'readmore_text' => 'Read More',
			'customTax' 	=> 'content_tags',
			'customTaxType' => 'svg',
			'args' 			=> array(
				'posts_per_page' => 5,
				'post_type'      => 'resource',
				'meta_key'       => 'resources_options_featured',
				'meta_value'     => 'true',
				'tax_query' => array(
					array('taxonomy'=>'resource_types','field'=>'slug','terms'=>'case-study'),
				)
			)
		);

		echo buildLoop($args);
		?>

		<div class="centerwrap"><a class="button" href="<?=$meta['homepage_casestudies_button_url'][0] ?>"><?=$meta['homepage_casestudies_button_text'][0] ?></a></div>


	</div>  <!-- END .wrapper -->
</div>  <!-- END .section -->


<?php
$numbers_image_id = $meta['homepage_numbers_image'][0];
$numbers_main     = wp_get_attachment_image_src($numbers_image_id,'full-screen', true)[0];
$numbers_tablet   = wp_get_attachment_image_src($numbers_image_id,'full-screen-medium', true)[0];
$numbers_mobile   = wp_get_attachment_image_src($numbers_image_id,'full-screen-small', true)[0];

$largecss  = ".section.numbers".'{background-image:url('.$numbers_main.');}';
$tabletcss = ".section.numbers".'{background-image:url('.$numbers_tablet.');}';
$mobilecss = ".section.numbers".'{background-image:url('.$numbers_mobile.');}';

echo '<style>'.$largecss.'@media (max-width: 1024px) {'.$tabletcss.'}@media (max-width: 600px) {'.$mobilecss.'}</style>';

?>
<div class="section full numbers">
	<div class="conwrap">
		<div class="wrapper">
			<h2 class="sectiontitle"><?=$meta['homepage_numbers_title'][0] ?></h2>
			<p class="intro"><?=$meta['homepage_numbers_intro'][0] ?></p>
			<div class="numwrap">
				<?php
				$i = 1;
				while ($i <= 3) {
					echo '<div class="number number'.$i.'"><div class="stat"><span class="before">'.$meta['homepage_numbers_stat_'.$i.'_before'][0].'</span><span class="num">'.$meta['homepage_numbers_stat_'.$i.'_number'][0].'</span><span class="after">'.$meta['homepage_numbers_stat_'.$i.'_after'][0].'</span><span class="desc">'.$meta['homepage_numbers_stat_'.$i.'_desc'][0].'</span></div></div>';
					$i++;
				}
				?>
			</div>
			<div class="centerwrap"><a href="<?=$meta['homepage_numbers_button_url'][0] ?>" class="button alt"><?=$meta['homepage_numbers_button_text'][0] ?></a></div>
		</div>
	</div>
</div>  <!-- END .section -->

<div class="section full testmonials">
	<div class="wrapper">
		<h2 class="sectiontitle"><?=$meta['homepage_testimonials_title'][0] ?></h2>
		<div style="max-width: 760px; margin: 0 auto;">
			<div class="video-container">
				<iframe width="560" height="315" src="https://www.youtube.com/embed/<?= $meta['homepage_testimonials_quote'][0]; ?>?ecver=1" frameborder="0" allowfullscreen></iframe>
			</div>
		</div>
		<p class="name"><?=$meta['homepage_testimonials_name'][0] ?></p>
		<p class="position"><?=$meta['homepage_testimonials_pos'][0] ?></p>

		<div class="centerwrap"><a href="<?=$meta['homepage_testimonials_button_url'][0] ?>" class="button"><?=$meta['homepage_testimonials_button_text'][0] ?></a></div>
	</div>
</div>  <!-- END section full testmonials -->

<div class="section full calltoaction">
	<?php
	for($i = 1; $i < 4; $i++):
		if($meta['homepage_cta_title_'.$i][0]):
			?>
			<div class="conwrap" data-num="<?=$i;?>">
				<div class="wrapper">
					<div class="featimage parallax">

						<img src="<?=$meta['homepage_cta_image_'.$i][0]?>" alt="<?=$meta['homepage_cta_image_alt_'.$i][0]?>">
					</div>
					<div class="textwrap">
						<div class="label"><?=$meta['homepage_cta_label_'.$i][0] ?></div>
						<h2 class="title"><?=$meta['homepage_cta_title_'.$i][0] ?></h2>
						<p class="intro"><?=$meta['homepage_cta_intro_'.$i][0] ?></p>
						<a href="<?=$meta['homepage_cta_button_url_'.$i][0] ?>" class="button alt"><?=$meta['homepage_cta_button_text_'.$i][0] ?></a>
					</div>
				</div>
			</div>  <!-- END .wrapper -->
			<?php 
		endif;
	endfor;



	if($meta['homepage_cta_title_1'][0]):
		?>

		<div class="dots">
			<?php for($i = 1; $i < 4; $i++):?>	<span class="dot" data-num="<?=$i-1;?>"></span> <?php endfor;?>
		</div>

		<div class="controls">
			<button class="prev">&#10094;</button>
			<button class="next">&#10095;</button>
		</div>
	<?php endif;?>
</div> <!-- end calltoaction -->

<div class="section full aboutsd">
	<div class="wrapper">
		<div class="conwrap">
			<h2 class="sectiontitle"><?=$meta['homepage_about_title'][0] ?></h2>
			<?php
			$intro = "";
			$pars = explode("\n", $meta['homepage_about_intro'][0]);
			foreach ($pars as $p) {
				$t = strlen($p);
				if($t > 1){ $intro .= '<p>'.$p.'</p>'; }
			}
			?>
			<div class="context"><?=$intro ?></div>
			<a href="<?=$meta['homepage_about_button_url'][0] ?>" class="button"><?=$meta['homepage_about_button_text'][0] ?></a>
		</div>
	</div>
</div>  <!-- END .section -->

</div>  <!-- END #content -->


<!-- End Template: index.php  -->
<?php $meta['sidebar_sidebar_footer'][0] = 'hide' ?>
<?php include ("includes/page.footer.php") ?>
