<?php

// ------------------------------------------------------
// Functions for Sidebar
// ------------------------------------------------------
$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
$template_file = get_post_meta($post_id, '_wp_page_template', true);

	$forms = array('0' => "-- Select Form --");
	$args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);
	if( $cf7Forms = get_posts( $args ) ){
		foreach($cf7Forms as $cf7Form){
			$forms[$cf7Form->ID] = $cf7Form->post_title;
		}
	}

	$sidebar_fields = array(
		'sidebar' => array(
			'name' => 'Page Sidebar & Footer Options',
			'slug' => 'sidebar',
			'desc' => 'Settings for the page sidebar',
			'fields' => array(
				array('name' => 'type', 'type' => 'select', 'label'=>'Sidebar Type', 'options'=>array('default' => 'Default Sidebar','form' => 'Form','html' => 'HTML')),
				array('name' => 'consultants', 'type' => 'checkbox', 'label'=>'Tagged Consultants', 'hint'=>"Hide consultant section"),
				array('name' => 'menu', 'type' => 'checkbox', 'label'=>'Category Menu', 'hint'=>"Hide sidebar category menu"),
				array('name' => 'form', 'type' => 'select', 'label'=>'Form Shortcode', 'options'=>$forms),
				array('name' => 'html', 'type' => 'script', 'label'=>'HTML Sidebar', 'cols' => '75', 'value' => '', 'rows' => '7'),
				array('name' => 'tagged_title','type' => 'html', 'before' => '<hr>', 'after' => '', 'tag' => 'h4', 'text' => 'Tagged Content Options'),
				array('name' => 'tagged_content', 'type' => 'checkbox', 'label'=>'Disable',  'hint'=>"Hide disable tagged content" ),
				array('name' => 'cta_title','type' => 'html', 'before' => '<hr>', 'after' => '', 'tag' => 'h4', 'text' => 'Footer Options'),
				array('name' => 'footer', 'type' => 'select', 'label'=>'Footer CTA Type', 'options'=>array('category' => 'Category','hide' => 'Hide Section','tagged' => 'Tagged Content','custom' => 'Custom')),
				array('name' => 'footer_cta_text', 'type' => 'textarea', 'label'=>'Text', 'cols' => '75', 'value' => '', 'rows' => '7'),
				array('name' => 'footer_cta_button', 'type' => 'text', 'label'=>'Button Text', 'size' => '75', 'value' => ''),
				array('name' => 'footer_cta_url', 'type' => 'text', 'label'=>' Url', 'size' => '75', 'value' => ''),
				array('name' => 'footer_cta_class', 'type' => 'text', 'label'=>' Class', 'size' => '75', 'value' => ''),

			),
		),
		'calltoactions' => array(
			'name' => 'Call To Action Options',
			'slug' => 'calltoactions',
			'desc' => 'Settings for the call to actions sidebar. ',
			'fields' => array(
				array('name' => 'cta_tagged', 'type' => 'checkbox', 'label'=>'Tagged CTAs', 'hint'=>"disable tagged content CTAs."),
				array('name' => 'cta_cat', 'type' => 'checkbox', 'label'=>'Category CTAs', 'hint'=>"disable Category CTAs."),
				array('name' => 'cta_count', 'type' => 'text', 'label'=>'Number of CTAs', 'size' => '20', 'value' => '2', 'hint'=>'sets how many category & tagged CTAs are displayed'),
			),
		),
		'page_ctas' => array(
			'name' => 'Custom Page Call to Actions',
			'slug' => 'page_ctas',
			'desc' => 'Settings for the call to actions sidebar. Custom page call to actions are displayed above and in addtion to other CTAs ',
			'fields' => array(
				array('name' => 'cta_title','type' => 'html', 'before' => '', 'after' => '', 'tag' => 'h4', 'text' => 'Call to Action 1'),
				array('name' => 'cta_1_toggle', 'type' => 'checkbox', 'label'=>'Enable CTA', 'hint'=>"Display this cta on page."),
				array('name' => 'cta_1_text', 'type' => 'textarea', 'label'=>'Text', 'cols' => '75', 'value' => '', 'rows' => '7'),
				array('name' => 'cta_1_desc', 'type' => 'text', 'label'=>'Button Text', 'size' => '75', 'value' => ''),
				array('name' => 'cta_1_url', 'type' => 'text', 'label'=>' Url', 'size' => '75', 'value' => ''),
				array('name' => 'cta_title','type' => 'html', 'before' => '<hr>', 'after' => '', 'tag' => 'h4', 'text' => 'Call to Action 2'),
				array('name' => 'cta_2_toggle', 'type' => 'checkbox', 'label'=>'Enable CTA', 'hint'=>"Display this cta on page."),
				array('name' => 'cta_2_text', 'type' => 'textarea', 'label'=>'Text', 'cols' => '75', 'value' => '', 'rows' => '7'),
				array('name' => 'cta_2_desc', 'type' => 'text', 'label'=>'Button Text', 'size' => '75', 'value' => ''),
				array('name' => 'cta_2_url', 'type' => 'text', 'label'=>' Url', 'size' => '75', 'value' => ''),

			),
		),
	);


	// child theme override functions
	if($childSettings['sidebarFields'])$sidebar_fields = $childSettings['sidebarFields'];

	function sidebar_metabox() {
		// remove_post_type_support('page', 'editor');							// disable main editor
		global $sidebar_fields;													// return main settings array

		//foreach item in array build section
		foreach ($sidebar_fields as $key => $value) {
			$id = 'sidebar_'.$value['slug'];
			$title = __( $value['name'], 'sidebar_textdomain' );
			add_meta_box($id, $title, 'sidebar_callback', 'page', 'advanced', 'low',$value);
		}
	}

	$hidefrom = array('index.php','front-page.php','page-newsroom.php','page-resources.php','page-contact.php','page-events.php','page-grid.php','page-wide.php','page-html.php');
	if( !in_array($template_file, $hidefrom)){ // edit the template name
		add_action( 'add_meta_boxes', 'sidebar_metabox' );
	}

	function sidebar_callback($post, $metabox ){
		$html = wp_nonce_field('sidebar_metabox', 'sidebar_'.$metabox['args']['slug'].'_nonce',false,false);
		if($metabox['args']['desc'])$html .= "<p class='desc'>".$metabox['args']['desc']."</p>";
		foreach ($metabox['args']['fields'] as $field => $value) {
			$html .= fieldBuilder('sidebar_',$metabox['args']['slug'],$value);
		}

		echo $html;


	}



	/**
	 * When the post is saved, saves our custom data.
	 *
	 * @param int $post_id The ID of the post being saved.
	 */
	function sidebar_SaveMetaData( $post_id ) {
		global $sidebar_fields;

		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {return;}

		if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
			if ( ! current_user_can( 'edit_page', $post_id ) ) {return;}
		}else {
			if ( ! current_user_can( 'edit_post', $post_id ) ) {return;}
		}

		foreach ($sidebar_fields as $key => $value) {
			$slug = $value['slug'];
			//print_r($value);

			if (isset( $_POST['sidebar_'.$value['slug'].'_nonce'] ) ) {

				foreach($value['fields'] as $key => $value){
					$name = 'sidebar_'.$slug.'_'.$value['name'];

					if($value['type'] == 'checkbox'){
						if(isset($_POST[$name])){
							update_post_meta($post_id, $name, 'true');
						} else {
							update_post_meta($post_id, $name, 'false');
						}
					}elseif(isset($_POST[$name])){
						if($value['type'] == 'script'){
							$value = $_POST[$name];
						}else{
							$value = esc_html($_POST[$name]);
						}
						update_post_meta($post_id, $name, $value);
					}
				}
			}
		}
	}

	add_action( 'save_post', 'sidebar_SaveMetaData' );