<?php

// ------------------------------------------------------
// Functions for Page Metas
// ------------------------------------------------------

/*

	change requsts
	------------------------------------------
	- all seo should be empty unless other wise set
	- description two lines
	- move below descript (preview)
	- use perma link not cononical
	- remove robots from post & add to theme options
	- Toggle Advanced Features
	- Add adnvanced features for social - card options, mutlipule sizes
	- Global twitter profile
	- Page level script
	------------------------------------------

*/
	$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'];
	$perma = get_permalink($post_id);
	$pagetitle = get_the_title($post_id);
	$sitetitle = get_bloginfo('name');
	$twitter_handle = get_option('theme_settings');
	$twitter_handle = $twitter_handle['twitter_handle'];

	$seometa_fields = array(
		'seometa' => array(
			'name' => 'Page SEO',
			'slug' => 'seometas',
			'desc' => 'To improve SEO, try to include your target keyword(s) at least once in each.',
			'fields' => array(
				array('name' => 'title', 'type' => 'text', 'label'=>'Title', 'size' => '75', 'placeholder' => $pagetitle ),
				array('name' => 'description', 'type' => 'textarea', 'label'=>'Description', 'cols' => '75', 'value' => '', 'rows' => '3'),
				array('name' => 'preview', 'type' => 'html', 'tag'=>'div', 'text'=>'<br><hr>'),
				array('name' => 'preview', 'type' => 'html', 'tag'=>'h4', 'text'=>'Example of Google Search Result'),
				array('name' => 'preview', 'type' => 'html', 'tag'=>'div', 'class'=>'seopreview', 'text'=>'<div class="title"></div><div class="url"></div><div class="desc"></div>'),
				array('name' => 'preview', 'type' => 'seopreview'),
				array('name' => 'preview', 'type' => 'html', 'tag'=>'div', 'text'=>'<br><hr>'),
				array('name' => 'keywords', 'type' => 'text', 'label'=>'Keywords', 'size' => '75', 'value' => '', 'placeholder' => 'apple, orange, pear, lemons'),
				array('name' => 'canonical', 'type' => 'text', 'label'=>'Canonical URL', 'size' => '75', 'value' => '', 'placeholder' => $perma),
				array('name' => 'noindex', 'type' => 'checkbox', 'label'=>'Hide from Search Engines', 'value' => '', 'hint'=>'add NO INDEX, NO FOLLOW meta'),
				array('name' => 'search', 'type' => 'checkbox', 'label'=>'Hide from Search', 'value' => '', 'hint'=>'Remove page from internal search'),
				array('name' => 'sitemap', 'type' => 'checkbox', 'label'=>'Hide from Sitemap', 'value' => '', 'hint'=>'Remove page from internal sitemap (html) add id to xml list here'),

			),
		),
		'social' => array(
			'name' => 'Social Sharing Snippets',
			'slug' => 'socialshare',
			'desc' => 'Add Social Share meta tags and cards',
			'fields' => array(
				array('name' => 'title', 'type' => 'text', 'label'=>'Social Title', 'size' => '75', 'value' => ''),
				array('name' => 'socialimage', 'type' => 'imageid', 'label'=>'Social Image Id', 'size' => '60', 'value' => '', 'imagesize'=>'social', 'hint'=>'image croped to 1024x512'),
				array('name' => 'description', 'type' => 'textarea', 'label'=>'Social Description', 'cols' => '75', 'value' => '', 'rows' => '3'),
				array('name' => 'tweet', 'type' => 'textarea', 'label'=>'Default Tweet', 'cols' => '75', 'value' => '', 'rows' => '3', 'max' => '140'),
				array('name' => 'url', 'type' => 'text', 'label'=>'Page URL', 'size' => '75', 'value' => '', 'value' => $perma),
				array('name' => 'twitter', 'type' => 'text', 'label'=>'Twitter Profile', 'size' => '75', 'value' => '', 'value' => $twitter_handle),
				array('name' => 'sitename', 'type' => 'text', 'label'=>'Website Name', 'size' => '75', 'value' => '', 'value'=>$sitetitle),

			),
		),

	);

	function seometa_metabox() {
		global $themeSettings;
		global $seometa_fields;	// return main settings array
		//foreach item in array build section
		foreach ($seometa_fields as $key => $value) {

			$id = 'seometa_'.$value['slug'];
			$title = __( $value['name'], 'seometa_textdomain' );

			foreach ( $themeSettings['metaScreens'] as $screen ) {
				add_meta_box($id,$title,'seometa_callback',$screen,'advanced','default',$value);
			}
		}
	}
	add_action( 'add_meta_boxes', 'seometa_metabox' );

	function seometa_callback($post, $metabox ){
		$html = wp_nonce_field('seometa_metabox', 'seometa_'.$metabox['args']['slug'].'_nonce',false,false);
		if($metabox['args']['desc'])$html .= "<p class='desc'>".$metabox['args']['desc']."</p>";
		foreach ($metabox['args']['fields'] as $field => $value) {
			$html .= fieldBuilder('seometa_',$metabox['args']['slug'],$value);
		}

		echo $html;
	}



	/**
	 * When the post is saved, saves our custom data.
	 *
	 * @param int $post_id The ID of the post being saved.
	 */
	function seometa_SaveMetaData( $post_id ) {
		global $seometa_fields;

		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {return;}

		if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
			if ( ! current_user_can( 'edit_page', $post_id ) ) {return;}
		}else {
			if ( ! current_user_can( 'edit_post', $post_id ) ) {return;}
		}

		foreach ($seometa_fields as $key => $value) {
			$slug = $value['slug'];
			//print_r($value);

			if (isset( $_POST['seometa_'.$value['slug'].'_nonce'] ) ) {

				foreach($value['fields'] as $key => $value){
					$name = 'seometa_'.$slug.'_'.$value['name'];
					if($value['type'] == 'checkbox'){
						if(isset($_POST[$name])){
							update_post_meta($post_id, $name, 'true');
						} else {
							update_post_meta($post_id, $name, 'false');
						}
					}elseif(isset($_POST[$name])){
						$value = esc_html($_POST[$name]);
						update_post_meta($post_id, $name, $value);
					}
				}
			}
		}
	}

	add_action( 'save_post', 'seometa_SaveMetaData' );