<?php

// ------------------------------------------------------
// Functions for clientss options
// ------------------------------------------------------

function clients_post() {
	$labels = array(
		'name' => __( 'Clients' ),
		'singular_name' => __( 'Client' ),
		'add_new' => __( 'New Client' ),
		'add_new_item' => __( 'Add New Client' ),
		'edit_item' => __( 'Edit Client' ),
		'new_item' => __( 'New Client' ),
		'view_item' => __( 'View Client' ),
		'search_items' => __( 'Search Clients' ),
		'not_found' =>  __( 'No Clients Found' ),
		'not_found_in_trash' => __( 'No Clients found in Trash' ),
	);
	$args = array(
		'labels' => $labels,
		'has_archive' => 'clients',
		'public' => true,
		'hierarchical' => false,
		'exclude_from_search'  => false,
        'menu_icon' => 'dashicons-groups',
		'supports' => array(
			'title',
			'thumbnail',
		)
	);
	register_post_type( 'clients', $args );
}
add_action( 'init', 'clients_post' );


//clients meta options array
function clients_option_metabox() {
	$screens = array( 'clients');
	foreach ( $screens as $screen ) {
		add_meta_box(
			'clients_option',
			__( 'Clients Options', 'clients_option_textdomain' ),
			'clients_option_callback',
			$screen,
			'side',
         	'default'
		);
	}
}
add_action( 'add_meta_boxes', 'clients_option_metabox' );

function clients_option_callback( $post ) {
	wp_nonce_field( 'myplugin_meta_box', 'clients_option_nonce' );

	$clients_form = get_post_meta( $post->ID, 'clients_form', true );

	$clients_featured = get_post_meta( $post->ID, 'clients_featured', true );
	$checked = "";
	if($clients_featured == 'featured') $checked ='checked="checked"';
	echo '<p><input type="checkbox" id="clients_featured" name="clients_featured" value="featured" '.$checked.' /><label class="checkbox" for="clients_featured">';
	_e( 'Set As Featured', 'clients_featured_textdomain' );
	echo '</label></p>';
}

function clients_option_save( $post_id ) {
	if ( ! isset( $_POST['clients_option_nonce'] ) ) {
		return;
	}
	if ( ! wp_verify_nonce( $_POST['clients_option_nonce'], 'myplugin_meta_box' ) ) {
		return;
	}
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}
	if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
		if ( ! current_user_can( 'edit_page', $post_id ) ) {
			return;
		}

	} else {

		if ( ! current_user_can( 'edit_post', $post_id ) ) {
			return;
		}
	}

	if( isset( $_POST[ 'clients_featured' ] ) ) {
    	update_post_meta( $post_id, 'clients_featured', 'featured' );
	} else {
	    update_post_meta( $post_id, 'clients_featured', 'false' );
	}
}

add_action( 'save_post', 'clients_option_save' );