<?php

// ------------------------------------------------------
// Functions for resources options
// ------------------------------------------------------

function resources_post() {
	$labels = array(
		'name' => __( 'Resources' ),
		'singular_name' => __( 'Resource' ),
		'add_new' => __( 'New Resource' ),
		'add_new_item' => __( 'Add New Resource' ),
		'edit_item' => __( 'Edit Resource' ),
		'new_item' => __( 'New Resource' ),
		'view_item' => __( 'View Resource' ),
		'search_items' => __( 'Search Resources' ),
		'not_found' =>  __( 'No Resources Found' ),
		'not_found_in_trash' => __( 'No Resources found in Trash' ),
	);
	$args = array(
		'labels' => $labels,
		'has_archive' => 'resources',
		'public' => true,
		'hierarchical' => false,
		'exclude_from_search'  => false,
        'menu_icon' => 'dashicons-analytics',
		'supports' => array(
			'title',
			'editor',
			'excerpt',
			'thumbnail',
		)
	);
	register_post_type( 'resource', $args );
}
add_action( 'init', 'resources_post' );
	$templpages = get_posts(array(
		'post_type' => 'page',
		'meta_key' => '_wp_page_template',
		'meta_value' => 'page-thank-you.php'
	));

	// print_r($templpages);
	$thankyou = array('null' => "-- Select Page --");

	foreach($templpages as $page){
		$thankyou[get_permalink($page->ID)] = $page->post_title;
	}

	$sidebar = array(
		'callout' => "Callout Box",
		'form' => "HubSpot Form"
	);

	$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
	$resources_fields = array(
		'options' => array(
			'name' => 'Resource Options',
			'slug' => 'options',
			'desc' => false,
			'fields' => array(
				array('name' => 'featured', 'type' => 'checkbox', 'label'=>'Set As Featured', 'size' => '', 'value' => ''),
				array('name' => 'url', 'type' => 'file', 'label'=>'Download URL', 'size' => '60', 'value' => ''),
				array('name' => 'ex_url', 'type' => 'text', 'label'=>'External URL', 'size' => '75', 'value' => '', 'hint'=> "Creates redirect to extrnal url for articles, placements, etc"),
				array('name' => 'sidebar', 'type' => 'select', 'options' => $sidebar, 'label'=>'Sidebar Type', 'size' => '5', 'value' => '', 'script' => '<script>jQuery(document).ready(function($) {function toggleVal(){var o=jQuery("#resources_options_sidebar").val();"callout"==o&&(jQuery(".toggle_callout").show("fast"),jQuery(".toggle_form").hide("fast")),"form"==o&&(jQuery(".toggle_callout").hide("fast"),jQuery(".toggle_form").show("fast"))}toggleVal(),jQuery("#resources_options_sidebar").change(function(o){toggleVal()});});</script>'),

				array('name' => 'metadata','type' => 'html', 'before' => '<hr>', 'after' => '', 'tag' => 'h4', 'text' => 'Meta Data'),
				array('name' => 'metadatap','type' => 'html', 'before' => '', 'after' => '', 'tag' => 'p', 'text' => 'The following fiels are used for schema markup and should only be used if information exists.'),
				array('name' => 'date', 'type' => 'text', 'label'=>'Date & Time', 'size' => '75', 'value' => ''),
				array('name' => 'location', 'type' => 'text', 'label'=>'Location', 'size' => '75', 'value' => ''),
				array('name' => 'speaker', 'type' => 'text', 'label'=>'Speaker', 'size' => '75', 'value' => ''),
				array('name' => 'publication', 'type' => 'text', 'label'=>'Publication', 'size' => '75', 'value' => ''),

				array('name' => 'Call Out Box','type' => 'html', 'before' => '<div class="toggle_callout"><hr>', 'after' => '', 'tag' => 'h4', 'text' => 'Call Out Box'),
				array('name' => 'title', 'type' => 'text', 'label'=>'Title', 'size' => '75', 'value' => ''),
				array('name' => 'button', 'type' => 'text', 'label'=>'Button Text', 'size' => '75', 'value' => ''),
				array('name' => 'content', 'type' => 'script', 'label'=>'Content', 'cols' => '75', 'value' => '', 'rows' => '4'),

				array('name' => 'marketo','type' => 'html', 'before' => '</div><div class="toggle_form"><hr>', 'after' => '', 'tag' => 'h4', 'text' => 'HubSpot Options'),
				array('name' => 'thankyou', 'type' => 'select', 'options' => $thankyou, 'label'=>'Thank You Page', 'size' => '5', 'value' => ''),
				array('name' => 'followup', 'type' => 'readonly', 'label'=>'HubSpot Follow Up Page', 'size' => '75', 'value' => '', 'script' => "<script>jQuery('#resources_options_thankyou').change(function(event) {var thankyou = jQuery('#resources_options_thankyou option:selected').val();if(thankyou == 'null'){ thankyou = '';}else{thankyou += '?rid=".$post_id."'; }jQuery('#resources_options_followup').val(thankyou);});</script>"),
				array('name' => 'script', 'type' => 'script', 'label'=>'HubSpot Form Script', 'cols' => '75', 'value' => '', 'rows' => '4'),

				array('name' => 'ga_events','type' => 'html', 'before' => '</div><hr>', 'after' => '', 'tag' => 'h4', 'text' => 'Google Analytic Events'),
				array('name' => 'ga_category', 'type' => 'text', 'label'=>'Event Category', 'size' => '75', 'value' => '', 'placeholder' => 'Download Resource'),
				array('name' => 'ga_action', 'type' => 'text', 'label'=>'Event Action', 'size' => '75', 'value' => '', 'placeholder' => "Resource Type (e.g. Whitepaper, Case study)"),
				array('name' => 'ga_label', 'type' => 'text', 'label'=>'Event Label', 'size' => '75', 'value' => '', 'placeholder' => 'Resource Name'),
			),
		),
	);

	function resources_metabox() {
		global $resources_fields;	// return main settings arrayb

		//foreach item in array build section
		foreach ($resources_fields as $key => $value) {
			$id = 'resources_'.$value['slug'];
			$title = __( $value['name'], 'resources_textdomain' );
			add_meta_box($id, $title, 'resources_callback', 'resource', 'normal', 'low',$value);
		}
	}
	add_action( 'add_meta_boxes', 'resources_metabox' );

	function resources_callback($post, $metabox ){
		$html = wp_nonce_field('resources_metabox', 'resources_'.$metabox['args']['slug'].'_nonce',false,false);
		if($metabox['args']['desc'])$html .= "<p class='desc'>".$metabox['args']['desc']."</p>";
		foreach ($metabox['args']['fields'] as $field => $value) {
			$html .= fieldBuilder('resources_',$metabox['args']['slug'],$value);
		}

		echo $html;
	}



	/**
	 * When the post is saved, saves our custom data.
	 *
	 * @param int $post_id The ID of the post being saved.
	 */
	function resources_SaveMetaData( $post_id ) {
		global $resources_fields;

		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {return;}

		if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
			if ( ! current_user_can( 'edit_page', $post_id ) ) {return;}
		}else {
			if ( ! current_user_can( 'edit_post', $post_id ) ) {return;}
		}

		foreach ($resources_fields as $key => $value) {
			$slug = $value['slug'];
			//print_r($value);

			if (isset( $_POST['resources_'.$value['slug'].'_nonce'] ) ) {

				foreach($value['fields'] as $key => $value){
					$name = 'resources_'.$slug.'_'.$value['name'];
					if(isset($_POST[$name])){
						if($value['type'] == 'script'){
							$value = $_POST[$name];
						}else{
							$value = esc_html($_POST[$name]);
						}
						update_post_meta($post_id, $name, $value);
					}
				}
			}
		}
	}

	add_action( 'save_post', 'resources_SaveMetaData' );
