<?php

// ------------------------------------------------------
// Functions for Archives Templates
// ------------------------------------------------------

$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'];

$width_options = array(
	'full' => '1',
	'halves' => '2',
	'thirds' => '3',
	'quarters' => '4',
	'fivths' => '5'
);
$type_options = array(
	'card' => 'Grid Style',
	'post' => 'List Style',
);


$dsplycnt = get_post_meta($post_id, 'archive_options_display', true);
if(!$dsplycnt) $dsplycnt = 1;

$post_types = array(
	'null' => 'Select Post Type',
	'testimonials' => 'Testimonials',
	'resource' => 'Resources',
	'team' => 'Team',
	'open-positions' => 'Careers',
	'candidate' => 'Candidate Placements',
	'events' => 'Events',
);

$archive_fields = array(

	'options' => array(
		'name' => 'Resrouce Archive Options',
		'slug' => 'options',
		'desc' => '',
		'fields' => array(
			array('name' => 'display', 'type' => 'text', 'label'=>'# of Archive Sections', 'size' => '10', 'value' => $dsplycnt, 'hint'=>'Save Page to Update - Sections removed from end.'),
		)
	),
);
$i = 1;
while ($i <= $dsplycnt) {
	# code...

	$archive_fields['section_'.$i] = array(
		'name' => 'Archive '.$i,
		'slug' => 'section_'.$i,
		'desc' => '',
		'fields' => array(
			array('name' => 'title', 'type' => 'text', 'label'=>'Archive Title', 'size' => '75', 'value' => ''),
			array('name' => 'text', 'type' => 'textarea', 'label'=>'Archive Intro', 'rows' => '5', 'cols' => '74', 'value' => ''),
			array('name' => 'count', 'type' => 'text', 'label'=>'Display', 'size' => '5', 'value' => '-1', 'hint'=>'set as -1 to display all.'),			array('name' => 'type', 'type' => 'select', 'options' => $post_types, 'label'=>'Archive Type', 'value' => ''),
			array('name' => 'tax_type', 'type' => 'text', 'label'=>'Taxonomy Type', 'size' => '75', 'value' => '', 'hint' => 'Specify Custom Taxonomy Type (e.g. resource-types)' ),
			array('name' => 'tax_term', 'type' => 'text', 'label'=>'Taxonomy Term', 'size' => '75', 'value' => '', 'hint' => 'Specify Custom Taxonomy Term (e.g. case-studies)' ),
			array('name' => 'list', 'type' => 'select', 'options' => $type_options, 'label'=>'Archive Type', 'value' => ''),
			array('name' => 'images', 'type' => 'checkbox', 'label'=>'Hide Images', 'value' => 'false', 'hint'=>'hides featured images on page'),
			array('name' => 'class', 'type' => 'select', 'options' => $width_options, 'label'=>'Row', 'size' => '5', 'value' => 'thirds', 'hint'=>'Applies to Grid Style only.'),
			array('name' => 'read_more', 'type' => 'text', 'label'=>'Button/Link Text', 'size' => '75', 'value' => ''),
			array('name' => 'custom', 'type' => 'text', 'label'=>'Archive Class', 'size' => '75', 'value' => ''),
		)
	);
	$i++;
}





	function archive_metabox() {
		global $archive_fields;
		$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
		$template = get_post_meta( $post_id, '_wp_page_template', true);
		if($template == "page-archive.php"){
			//foreach item in array build section
			foreach ($archive_fields as $key => $value) {
				$id = 'archive_'.$value['slug'];
				$title = __( $value['name'], 'archive_textdomain' );
				add_meta_box($id, $title, 'archive_callback', 'page', 'advanced', 'high', $value);
			}
		}
	}
	add_action( 'add_meta_boxes', 'archive_metabox' );

	function archive_callback($post, $metabox ){
		$html = wp_nonce_field('archive_metabox', 'archive_'.$metabox['args']['slug'].'_nonce',false,false);
		if($metabox['args']['desc'])$html .= "<p class='desc'>".$metabox['args']['desc']."</p>";
		foreach ($metabox['args']['fields'] as $field => $value) {
			$html .= fieldBuilder('archive_',$metabox['args']['slug'],$value);
		}

		echo $html;
	}



	/**
	 * When the post is saved, saves our custom data.
	 *
	 * @param int $post_id The ID of the post being saved.
	 */
	function archive_SaveMetaData( $post_id ) {
		global $archive_fields;

		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {return;}

		if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
			if ( ! current_user_can( 'edit_page', $post_id ) ) {return;}
		}else {
			if ( ! current_user_can( 'edit_post', $post_id ) ) {return;}
		}

		foreach ($archive_fields as $key => $value) {
			$slug = $value['slug'];
			//print_r($value);

			if (isset( $_POST['archive_'.$value['slug'].'_nonce'] ) ) {

				foreach($value['fields'] as $key => $value){
					$name = 'archive_'.$slug.'_'.$value['name'];
					if($value['type'] == 'checkbox'){
						if(isset($_POST[$name])){
							update_post_meta($post_id, $name, 'true');
						} else {
							update_post_meta($post_id, $name, 'false');
						}
					}elseif(isset($_POST[$name])){
						$value = esc_html($_POST[$name]);
						update_post_meta($post_id, $name, $value);
					}
				}
			}
		}
	}

	add_action( 'save_post', 'archive_SaveMetaData' );
