<?php

// ------------------------------------------------------
// Global Functions for Templates
// ------------------------------------------------------

function tax_options($type){
	$res_types = get_terms( $type, array('hide_empty'=> false));
	$res_options = array('none' => "- Select Type -");
	foreach ($res_types as $value) {
		$res_options[$value->slug] = $value->name;
	}
	if($type == 'resource_types') $res_options['blog'] = 'Blog Posts';
	if($type == 'resource_types') $res_options['webinar'] = 'Webinars';
	return $res_options;
}

//build all fields
function printFields($section,$data){
	// sample array('name' => 'button_1_title', 'type' => 'text', 'label'=>'Button 1 Title' )
	$html = '';
	foreach ($data['fields'] as $field => $value) {
		$html .= printFields($section,$value);
	}
	return $html;
}

function field_html($name,$value,$data){
	return $data['before'].'<'.$data['tag'].' class="'.$data['class'].'"">'.$data['text'].'</'.$data['tag'].'>'.$data['after'];
}
function field_checkbox($name,$value,$data){
	$checked = '';
	if($value == 'true') $checked ='checked="checked"';
	return '<p><label>'.$data['label'].'</label><input type="checkbox" name="'.$name.'" id="'.$name.'" value="true" '.$checked.'/><span class="hint after">'.$data['hint'].'</span></p>';
}
function field_file($name,$value,$data){
	if($value) $img = '<img src="'.$value.'">';
	return '<p><label>'.$data['label'].'</label><input type="text" id="'.$name.'" name="'.$name.'" id="'.$name.'" value="'.$value.'" size="'.$data['size'].'"/><input type="button" id="'.$name.'-button" class="button" value="Select File" /><div class="hint">'.$data['hint'].'</div></p><script>jQuery(document).ready(function(e){var t;e("#'.$name.'-button").click(function(a){return a.preventDefault(),t?void t.open():(t=wp.media.frames.meta_image_frame=wp.media({title:"Choose or Upload an File",button:{text:"Use this File"}}),t.on("select",function(){var a=t.state().get("selection").first().toJSON();e("#'.$name.'").val(a.url);}),void t.open())})});</script>';
}
function field_image($name,$value,$data){
	if($value) $img = '<img src="'.$value.'">';
	return '<p><label>'.$data['label'].'</label><input type="text" id="'.$name.'" name="'.$name.'" id="'.$name.'" value="'.$value.'" size="'.$data['size'].'"/><input type="button" id="'.$name.'-button" class="button" value="Select Image" /><div class="hint">'.$data['hint'].'</div></p><div class="'.$name.' imagepreview">'.$img.'</div> <script>jQuery(document).ready(function(e){var t;e("#'.$name.'-button").click(function(a){return a.preventDefault(),t?void t.open():(t=wp.media.frames.meta_image_frame=wp.media({title:"Choose or Upload an Image",button:{text:"Use this Image"}}),t.on("select",function(){var a=t.state().get("selection").first().toJSON();e("#'.$name.'").val(a.url);e(".'.$name.'.imagepreview").html("<img src="+a.url+" />")}),void t.open())})});</script>';
}
function field_imageid($name,$value,$data){
	if($value) $img = wp_get_attachment_image( $value, $data['imagesize']);
	return '<p><label>'.$data['label'].'</label><input type="text" id="'.$name.'" name="'.$name.'" id="'.$name.'" value="'.$value.'" size="'.$data['size'].'"/><input type="button" id="'.$name.'-button" class="button" value="Select Image" /><div class="hint">'.$data['hint'].'</div></p> <div class="'.$name.' imagepreview">'.$img.'</div><script>jQuery(document).ready(function(e){var t;e("#'.$name.'-button").click(function(a){return a.preventDefault(),t?void t.open():(t=wp.media.frames.meta_image_frame=wp.media({title:"Choose or Upload an Image",button:{text:"Use this Image"},library:{type:"image"}}),t.on("select",function(){var a=t.state().get("selection").first().toJSON();e("#'.$name.'").val(a.id);e(".'.$name.'.imagepreview").html("<img src="+a.url+" />")}),void t.open())})});</script>';
}
function field_text($name,$value,$data){
	return '<p><label>'.$data['label'].'</label><input type="text" name="'.$name.'" id="'.$name.'" value="'.$value.'" size="'.$data['size'].'" placeholder="'.$data['placeholder'].'" maxlength="'.$data['max'].'"  /><div class="hint">'.$data['hint'].'</div>'.$data['script'].'</p>';
}
function field_readonly($name,$value,$data){
	return '<p><label>'.$data['label'].'</label><input type="text" name="'.$name.'" id="'.$name.'" value="'.$value.'" size="'.$data['size'].'" placeholder="'.$data['placeholder'].'" readonly /><div class="hint">'.$data['hint'].'</div>'.$data['script'].'</p>';
}
function field_seopreview($name,$value,$data){
	return "<script>function serpPreview(){title = jQuery('#seometa_seometas_title').val();canonical = jQuery('#seometa_seometas_canonical').val();description = jQuery('#seometa_seometas_description').val();jQuery('.seopreview .title').html(title);jQuery('.seopreview .url').html(canonical);jQuery('.seopreview .desc').html(description);}serpPreview();jQuery('#seometa_seometas input').keyup(function(event) {serpPreview();});jQuery('#seometa_seometas textarea').keyup(function(event) {serpPreview();});</script>";
}
function field_select($name,$value,$data){

	if($data['options'] == 'tax') $data['options'] = tax_options($data['tax']);

	$html ='<p><label>'.$data['label'].'</label>';
	$html .='<select type="text" name="'.$name.'" id="'.$name.'">';
		foreach ($data['options'] as $key => $val) {
			$select = '';
			if($key == $value) $select = 'selected="selected"';
			$html .= '<option value="'.$key.'" '.$select.'>'.$val.'</option>';
		}
	$html .='</select>';
	$html .=' <div class="hint">'.$data['hint'].'</div>'.$data['script'].'</p>';

	return $html;
}
function field_textarea($name,$value,$data){
	return '<p><label>'.$data['label'].'</label></p><p><textarea  name="'.$name.'" id="'.$name.'" rows="'.$data['rows'].'" cols="'.$data['cols'].'"  maxlength="'.$data['max'].'"/>'.$value.'</textarea><div class="hint">'.$data['hint'].'</div>'.$data['script'].'</p>';
}
function field_script($name,$value,$data){
	return '<p><label>'.$data['label'].'</label></p><p><textarea  name="'.$name.'" id="'.$name.'" rows="'.$data['rows'].'" cols="'.$data['cols'].'"  maxlength="'.$data['max'].'"/>'.$value.'</textarea><div class="hint">'.$data['hint'].'</div>'.$data['script'].'</p>';
}

//build individual field
function fieldBuilder($id,$section,$data){
	$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'];
	$field_name = $id.$section.'_'.$data['name'];
	$value = get_post_meta( $post_id, $field_name, true );
	if(empty($value) && $data['type'] != 'checkbox' ) $value = $data['value'];

	$function = "field_".$data['type'];
	return $function($field_name, $value, $data);
}