<?php

// ------------------------------------------------------
// Functions for Loop & Template parts
// ------------------------------------------------------

function buildTerms($cats,$del){
	$i = 1;
	$c = count($cats);
	$html = "";
	foreach ($cats as $key => $value) {
		$html .= '<a href="'.get_option('home').'/'.$value->taxonomy.'/'.$value->slug.'/">'.$value->name.'</a>';
		if($i != $c) $html .= $del;
		$i++;
	}

	return $html;

}
function getTermsTags($id){
	$terms = wp_get_post_terms($id, 'content_tags');
	$classes ="";
	foreach ($terms as $key => $value) {
		$classes .= " tags-".$value->slug;
	}
	$terms = wp_get_post_terms($id, 'resource_types');
	foreach ($terms as $key => $value) {
		$classes .= " type-".$value->slug;
	}
	return $classes;
}

function buildLoop($args){

	//set default args

	if(!isset($args['post_type'])) $args['post_type']         = false;
	if(!isset($args['rowcnt'])) $args['rowcnt']    		      = false;
	if(!isset($args['metafields'])) $args['metafields']    	  = false;
	if(!isset($args['featimage'])) $args['featimage']         = 'background';
	if(!isset($args['imageSize'])) $args['imageSize']         = 'thumb';
	if(!isset($args['class'])) $args['class']                 = 'thirds';
	if(!isset($args['postclass'])) $args['postclass']         = 'post';
	if(!isset($args['perma'])) $args['perma']                 = false;
	if(!isset($args['title'])) $args['title']                 = 'h3';
	if(!isset($args['desc'])) $args['desc']                   = true;
	if(!isset($args['descLimit'])) $args['descLimit']         = 100;
	if(!isset($args['tags'])) $args['tags']                   = true;
	if(!isset($args['readmore'])) $args['readmore']           = true;
	if(!isset($args['readmore_text'])) $args['readmore_text'] = 'Read More';
	if(!isset($args['customTax'])) $args['customTax']         = false;
	if(!isset($args['customTaxType'])) $args['customTaxType'] = 'meta';
	if(!isset($args['termTags'])) $args['termTags']           = false;
	if(!isset($args['target'])) $args['target']               = '';

	$metafields = array('team_title','job_location','testimonial_name','testimonial_title','testimonial_company','resources_options_date','resources_options_location','resources_options_speaker','resources_options_publication');
	if($args['rowcnt'] != false){
		$width_options = array(
			'full' => '1',
			'halves' => '2',
			'thirds' => '3',
			'quarters' => '4',
			'fivths' => '5'
		);
		$rowcnt = $width_options[$args['rowcnt']];
		$rowcnt = intval($rowcnt);
		$j=1;
	}

	$html = '<div class="'.$args['postclass'].'wrap '.$args['class'].'">';
	$i=0;

	$query = new WP_Query( $args['args'] );

	// The Loop
	if (have_posts()) : while ($query->have_posts()) : $query->the_post();
		// print_r($query->posts[$i]->ID);
		$postId = $query->posts[$i]->ID;
		$class  = "";
		$card   = "";
		if($args['rowcnt'] != false){
			$row = '';
			if($j == 1) $row = 'first';
			if($j == $rowcnt) $row = 'last';
		}

		if($args['customTax']){
			$term = wp_get_post_terms($postId, $args['customTax'], array("fields" => "all"));
			if(!empty($term)){
				if($args['customTaxType'] == 'meta'){
					$meta = buildTerms($term,'');
				}elseif($args['customTaxType'] == 'svg'){
					if($term[0]->slug != 'default'){$meta = svg('#solid-'.$term[0]->slug,1,0);}
					else{$meta = false;}
				}
				if($meta)$card .= '<div class="meta">'.$meta.'</div>';
			}
		}
		$external = get_post_meta( $postId, 'resources_options_ex_url', true );
		if($external){
			$perma = $external;
			$target = '_blank';
		}elseif($args['target'] == '_blank'){
			$target = '_blank';
		}else{
			$target = '';
		}

		if($external){
			$perma = $external;
		}elseif($args['perma']){
			$perma = get_post_meta( $postId, $args['perma'], true );
		}else{
			$perma = get_permalink($postId);
		}

		$card .='<a href="'.$perma.'" target="'.$target.'">';
		if($args['featimage'] == 'background'){
			$image_id  = get_post_thumbnail_id($postId);
			$featimage = wp_get_attachment_image_src($image_id,$args['imageSize'], true)[0];
			$card      .='<div class="featimg size_'.$args['imageSize'].'" style="background-image:url('.$featimage.');"></div>';
			$class     .= " featimage";
		}elseif($args['featimage'] == 'img' && has_post_thumbnail($postId)){
			$image_id  = get_post_thumbnail_id($postId);
			$featimage = wp_get_attachment_image_src($image_id,$args['imageSize'], true)[0];
			$card      .='<div class="featimg size_'.$args['imageSize'].'"><img src="'.$featimage.'"></div>';
			$class     .= " featimage";
		}

		//get post meta fields
		$metaHTML = "";
		if($args['metafields'] != false){
			foreach($metafields as $field){
				if(get_post_meta( $postId, $field, true )) $metaHTML .= '<span class="'.$field.'">'.get_post_meta( $postId, $field, true ).'</span>';
			}
		}

		if($args['title'] || $args['desc'] || $args['readmore']){
			$card .='<div class="conwrap">';
      if (get_post_meta($postId, 'testimonial_img', true)) {
        $card .= '<img src="' . wp_get_attachment_image_src(get_post_meta($postId, 'testimonial_img', true), 'large')[0] . '" alt="testimonial" style="margin-top: 10px;" />';
      }
			if($args['title']) $card .= '<'.$args['title'].' class="title">'.get_the_title().'</'.$args['title'].'>';
			if($metaHTML != "" && $args['metafields'] == 'before') $card .= '<div class="metafields">'.$metaHTML."</div>";
			if ($args['desc'] && !get_post_meta($postId, 'testimonial_img', true) ) {
        $card .= '<p class="desc">'.trimString(get_the_excerpt(),$args['descLimit']).'</p>';
      }
			if($metaHTML != "" && $args['metafields'] == 'after') $card .= '<div class="metafields">'.$metaHTML."</div>";
			if($args['readmore']) $card .= '<p class="readmore">'.$args['readmore_text'].'</p>';
			$card .='</div>';
		}
		$card .= '</a>';

		if($args['termTags']) $class .= getTermsTags($postId);
		$html .= '<div class="'.$args['postclass'].' '.$args['postclass'].''.$i.$class.' post'.$postId.' '.$row.'">'.$card.'</div> <!-- end '.$args['postclass'].' '.$args['postclass'].''.$i.$class.' -->';
		$i++;
		if($args['rowcnt'] != false){$j++;}
		if($j > $rowcnt) $j = 1;

	endwhile;
	endif;
	wp_reset_postdata();

	$html .= '</div> <!-- end '.$args['postclass'].'wrap '.$args['class'].'-->';

	return $html;
}

function getRelatedContent($meta,$cnt){

}
