<?php

// ------------------------------------------------------
// Functions for Resources Templates
// ------------------------------------------------------

$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'];

$width_options = array(
	'full' => '1',
	'halves' => '2',
	'thirds' => '3',
	'quarters' => '4',
	'fivths' => '5'
);

$color_options = array(
	'white' => 'White',
	'graylt' => 'Light Gray',
	'graydk' => 'Dark Gray',
	'blue' => 'Blue'
);
$dsplycnt = get_post_meta($post_id, 'temp_resource_resoure_options_display', true);
if(!$dsplycnt) $dsplycnt = 3;

$temp_resource_fields = array(

	'resoure_options' => array(
		'name' => 'Resrouce Archive Options',
		'slug' => 'resoure_options',
		'desc' => '',
		'fields' => array(
			array('name' => 'display', 'type' => 'text', 'label'=>'# of Sections', 'size' => '10', 'value' => $dsplycnt, 'hint'=>'Save Page to Update - Sections removed from end.'),
		)
	)
);
$i = 1;
while ($i <= $dsplycnt) {
	# code...

	$temp_resource_fields['section_'.$i] = array(
		'name' => 'Section '.$i,
		'slug' => 'section_'.$i,
		'desc' => '',
		'fields' => array(
			array('name' => 'display', 'type' => 'checkbox', 'label'=>'Hide Section', 'value' => 'hide'),
			array('name' => 'title', 'type' => 'text', 'label'=>'Section Title', 'size' => '75', 'value' => ''),
			array('name' => 'button_text', 'type' => 'text', 'label'=>'Button Text', 'size' => '75', 'value' => ''),
			array('name' => 'button_url', 'type' => 'text', 'label'=>'Button Url', 'size' => '75', 'value' => ''),
			array('name' => 'text', 'type' => 'textarea', 'label'=>'Section Intro', 'rows' => '5', 'cols' => '74', 'value' => ''),
			array('name' => 'type', 'type' => 'select', 'options' => 'tax', 'tax' => 'resource_types', 'label'=>'Resource Type', 'size' => '75', 'value' => ''),
			array('name' => 'count', 'type' => 'text', 'label'=>'Display', 'size' => '5', 'value' => '3'),
			array('name' => 'class', 'type' => 'select', 'options' => $width_options, 'label'=>'Row', 'size' => '5', 'value' => 'third'),
			array('name' => 'color', 'type' => 'select', 'options' => $color_options, 'label'=>'Background Color', 'size' => '5', 'value' => ''),
		)
	);
	$i++;
}



	function temp_resource_metabox() {
		global $temp_resource_fields;
		$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
		$template = get_post_meta( $post_id, '_wp_page_template', true);
		if($template == "page-resources.php"){
			//foreach item in array build section
			foreach ($temp_resource_fields as $key => $value) {
				$id = 'temp_resource_'.$value['slug'];
				$title = __( $value['name'], 'temp_resource_textdomain' );
				add_meta_box($id, $title, 'temp_resource_callback', 'page', 'advanced', 'low', $value);
			}
		}
	}
	add_action( 'add_meta_boxes', 'temp_resource_metabox' );

	function temp_resource_callback($post, $metabox ){
		$html = wp_nonce_field('temp_resource_metabox', 'temp_resource_'.$metabox['args']['slug'].'_nonce',false,false);
		if($metabox['args']['desc'])$html .= "<p class='desc'>".$metabox['args']['desc']."</p>";
		foreach ($metabox['args']['fields'] as $field => $value) {
			$html .= fieldBuilder('temp_resource_',$metabox['args']['slug'],$value);
		}

		echo $html;
	}



	/**
	 * When the post is saved, saves our custom data.
	 *
	 * @param int $post_id The ID of the post being saved.
	 */
	function temp_resource_SaveMetaData( $post_id ) {
		global $temp_resource_fields;

		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {return;}

		if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
			if ( ! current_user_can( 'edit_page', $post_id ) ) {return;}
		}else {
			if ( ! current_user_can( 'edit_post', $post_id ) ) {return;}
		}

		foreach ($temp_resource_fields as $key => $value) {
			$slug = $value['slug'];
			//print_r($value);

			if (isset( $_POST['temp_resource_'.$value['slug'].'_nonce'] ) ) {

				foreach($value['fields'] as $key => $value){
					$name = 'temp_resource_'.$slug.'_'.$value['name'];
					if($value['type'] == 'checkbox'){
						if(isset($_POST[$name])){
							update_post_meta($post_id, $name, 'true');
						} else {
							update_post_meta($post_id, $name, 'false');
						}
					}elseif(isset($_POST[$name])){
						$value = esc_html($_POST[$name]);
						update_post_meta($post_id, $name, $value);
					}
				}
			}
		}
	}

	add_action( 'save_post', 'temp_resource_SaveMetaData' );
