<?php

// ------------------------------------------------------
// Functions for Archives Templates
// ------------------------------------------------------

$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'];

$dsplycnt = get_post_meta($post_id, 'team_options_display', true);
if(!$dsplycnt) $dsplycnt = 1;

$post_types = array(
	'null' => 'Select Post Type',
	'testimonials' => 'Testimonials',
	'resource' => 'Resources',
	'team' => 'Team',
	'careers' => 'Careers',
	'candidate' => 'Candidate Placements',
	'events' => 'Events',
);

$team_fields = array(

	'options' => array(
		'name' => 'Team Bio Options',
		'slug' => 'options',
		'desc' => '',
		'fields' => array(
			array('name' => 'display', 'type' => 'text', 'label'=>'# of Team Sections', 'size' => '10', 'value' => $dsplycnt, 'hint'=>'Save Page to Update - Sections removed from end.'),
		)
	),
);

$i = 1;
while ($i <= $dsplycnt) {
	# code...

	$team_fields['section_'.$i] = array(
		'name' => 'Team Section '.$i,
		'slug' => 'section_'.$i,
		'desc' => '',
		'fields' => array(
			array('name' => 'title', 'type' => 'text', 'label'=>'Team Section Title', 'size' => '75', 'value' => ''),
			array('name' => 'text', 'type' => 'textarea', 'label'=>'Team Section Intro', 'rows' => '5', 'cols' => '74', 'value' => ''),
			array('name' => 'type', 'type' => 'select', 'options' => 'tax', 'tax' => 'team_roles', 'label'=>'Team Role Type', 'size' => '75', 'value' => ''),
			array('name' => 'custom', 'type' => 'text', 'label'=>'Team Section Class', 'size' => '75', 'value' => ''),
		)
	);
	$i++;
}

	function team_metabox() {
		global $team_fields;
		$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
		$template = get_post_meta( $post_id, '_wp_page_template', true);
		if($template == "page-team.php"){
			//foreach item in array build section
			foreach ($team_fields as $key => $value) {
				$id = 'team_'.$value['slug'];
				$title = __( $value['name'], 'team_textdomain' );
				add_meta_box($id, $title, 'team_callback', 'page', 'advanced', 'high', $value);
			}
		}
	}
	add_action( 'add_meta_boxes', 'team_metabox' );

	function team_callback($post, $metabox ){
		$html = wp_nonce_field('team_metabox', 'team_'.$metabox['args']['slug'].'_nonce',false,false);
		if($metabox['args']['desc'])$html .= "<p class='desc'>".$metabox['args']['desc']."</p>";
		foreach ($metabox['args']['fields'] as $field => $value) {
			$html .= fieldBuilder('team_',$metabox['args']['slug'],$value);
		}

		echo $html;
	}



	/**
	 * When the post is saved, saves our custom data.
	 *
	 * @param int $post_id The ID of the post being saved.
	 */
	function team_SaveMetaData( $post_id ) {
		global $team_fields;

		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {return;}

		if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
			if ( ! current_user_can( 'edit_page', $post_id ) ) {return;}
		}else {
			if ( ! current_user_can( 'edit_post', $post_id ) ) {return;}
		}

		foreach ($team_fields as $key => $value) {
			$slug = $value['slug'];
			//print_r($value);

			if (isset( $_POST['team_'.$value['slug'].'_nonce'] ) ) {

				foreach($value['fields'] as $key => $value){
					$name = 'team_'.$slug.'_'.$value['name'];
					if($value['type'] == 'checkbox'){
						if(isset($_POST[$name])){
							update_post_meta($post_id, $name, 'true');
						} else {
							update_post_meta($post_id, $name, 'false');
						}
					}elseif(isset($_POST[$name])){
						$value = esc_html($_POST[$name]);
						update_post_meta($post_id, $name, $value);
					}
				}
			}
		}
	}

	add_action( 'save_post', 'team_SaveMetaData' );
