<?php

// ------------------------------------------------------
// Global Theme Options
// ------------------------------------------------------

add_action( 'admin_menu', 'theme_menu' );
function theme_menu() {
    add_options_page( 'Theme Options', 'Theme Options', 'manage_options', 'theme_options', 'theme_options_page' );
}

add_action( 'admin_init', 'theme_init' );
function theme_init() {
    register_setting( 'theme_options', 'theme_settings', 'validate_setting');
   // add_settings_section( 'contact_options', 'Contact Options', 'contact_options_callback', 'theme_options' );
    add_settings_section( 'header_options', 'Header Options', 'header_options_callback', 'theme_options' );
    add_settings_section( 'social_options', 'Social Integration', 'social_options_callback', 'theme_options' );
    add_settings_section( 'footer_options', 'Footer Options', 'footer_options_callback', 'theme_options' );
}

// function contact_options_callback() {
// 	echo '<p>Set main contact info for site (updates sidebar consulant info)</p>';
// 	$contact_options = array(
// 		array( 'contact_number', 'Main Contact Number', 'settingsText', 'theme_options', 'contact_options' ),
// 		array( 'contact_email', 'Main Contact Email', 'settingsText', 'theme_options', 'contact_options' ),
// 	);

//     settingFields($contact_options,'theme_settings');
// }

function header_options_callback() {
	echo '<p>Setting below control the theme header content.</p>';
	$header_options = array(
		array( 'logo_main', 'Main Logo Url', 'settingsImage', 'theme_options', 'header_options' ),
		array( 'logo_main_alt', 'Main Logo Alt Text', 'settingsText', 'theme_options', 'header_options' ),
		array( 'logo_sec', 'Secondary Logo Url', 'settingsImage', 'theme_options', 'header_options' ),
		array( 'logo_sec_alt', 'Secondary Logo Alt Text', 'settingsText', 'theme_options', 'header_options' ),
	);

    settingFields($header_options,'theme_settings');
}
function footer_options_callback() {
	echo '<p>add footer copyright text below. use shortcode [[year]] to indicate year position</p>';
	$footer__options = array(
		array( 'copyright', 'Copyright Text', 'settingsText', 'theme_options', 'footer_options' ),
	);

    settingFields($footer__options,'theme_settings');
}

function social_options_callback() {
    echo '<p>Add you comapny url to the field below to enable the icons in social widgets</p>';
	$social_options = array(
		array( 'facebook', 'Facebook', 'settingsText', 'theme_options', 'social_options' ),
		array( 'google', 'Google+', 'settingsText', 'theme_options', 'social_options' ),
		array( 'linkedin', 'LinkedIn', 'settingsText', 'theme_options', 'social_options' ),
		array( 'twitter', 'Twitter', 'settingsText', 'theme_options', 'social_options' ),
		array( 'twitter_handle', 'Twitter Handle', 'settingsText', 'theme_options', 'social_options' ),
		array( 'youtube', 'YouTube', 'settingsText', 'theme_options', 'social_options' ),
	);

    settingFields($social_options,'theme_settings');
}

function load_admin_things() {
    wp_enqueue_script('media-upload');
    wp_enqueue_script('thickbox');
    wp_enqueue_style('thickbox');
}

add_action( 'admin_enqueue_scripts', 'load_admin_things' );

function theme_options_page() {
    ?>
    <div class="wrap">
        <h2>Theme Options</h2>
        <form action="options.php" method="POST">
            <?php settings_fields( 'theme_options' ); ?>
            <?php do_settings_sections( 'theme_options' ); ?>
             <input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Save Changes'); ?>" />


			<script>
				jQuery(document).ready(function($) {
					$('.imagebutton').click(function() {
						$(this).parent('td').addClass("active");
						tb_show("Upload a logo", "media-upload.php?referer=theme_options&type=image&TB_iframe=true&post_id=0", false);
						return false;
					});

					window.send_to_editor = function(html) {
						$(".active .imagepreview").html(html);
						var img = $(".active .imagepreview img").attr("src");
						$(".active input.imageinput").val(img);
						$('td.active').removeClass("active");
						tb_remove();
					}
				});
			</script>
        </form>
    </div>
    <?php
}