<!doctype html>
<html>
<head>

	<?php
		// retrieve meta array for page
	$meta = get_post_meta(get_the_ID());
	$opt = get_option('theme_settings');
	$scrtOpt = get_option('script_settings');
	?>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta http-equiv="Content-Language" content="en" >
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8" >
	<link rel="shortcut icon" href="<?php echo get_stylesheet_directory_uri(); ?>/favicon.ico">

	<?php include ("page.meta.php") ?>

	<?php wp_head(); ?>

	<?php
	$template_name = basename(get_page_template());
	$template_name = substr($template_name, 0, -4);
	?>

	<?php if($scrtOpt['googleanayltics']){ ?>

	<script>
		(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
			(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
			m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
		})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

		ga('create', '<?=$scrtOpt['googleanayltics']?>', 'auto');
		<?php if( $scrtOpt['remarkting'] == true){?>ga('require', 'displayfeatures'); <?php } ?>

		ga('send', 'pageview');
	</script>

	<?php } ?>
	<?php if($scrtOpt['headerscripts']){echo $scrtOpt['headerscripts']; }?>


</head>


<?php

$bodyClass = get_body_class();


array_push($bodyClass, 'template_'.$template_name); //template_<?=$template_name

$body_class = '';
foreach($bodyClass as $key=>$val){
	$body_class .= $val . ' ';
}

?>
<body class="<?=$body_class;?>">

	<div class="mainwrapper">

		<div class="masthead">
			<div class="wrapper">
				<div class="widgets grid right">
					<div class="widget widget_menu"><?php wp_nav_menu( array( 'theme_location' => "masthead" ) ); ?></div>
					
					<div class="widget widget_search">
						<div class="bttnsearch">

							<svg version="1.0" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
							viewBox="0 0 20 20" style="enable-background:new 0 0 20 20;" xml:space="preserve">
							<path d="M18.5,16.2l-4.7-4.7c0.6-1,1-2.3,1-3.6c0-3.8-3.1-6.9-6.9-6.9C4.1,1.1,1,4.2,1,8c0,3.8,3.1,6.9,6.9,6.9c1.3,0,2.6-0.4,3.6-1l4.7,4.7c0.6,0.6,1.7,0.6,2.3,0C19.2,17.9,19.2,16.9,18.5,16.2z M8,12.1c-2.3,0-4.1-1.9-4.1-4.1c0-2.3,1.9-4.1,4.1-4.1c2.3,0,4.1,1.9,4.1,4.1C12.1,10.3,10.2,12.1,8,12.1z"/></svg>
						</div>
						<?php get_search_form(); ?>
					</div>
				</div>
			</div>  <!-- END .wrapper -->
		</div> <!-- END masthead -->

		<div class="header <?php if ( is_user_logged_in() ) { ?>logedin<?php } ?>">
			<div class="placeholder">
				<div class="wrapper">
					<div class="logo">
						<a href="<?php echo get_option('home'); ?>">
							<img src="<?php echo $opt['logo_main'] ?>" alt="<?php echo $opt['logo_main_alt'] ?>">
						</a>
					</div>
					<div class="menu main">
						<div class="bttnmenu"><?=svg('#menu',1,0)?></div>
						<?php if(is_front_page()){ wp_nav_menu( array( 'theme_location' => "main-menu" ) ); } else {wp_nav_menu( array( 'menu' => "11") );} ?>
						<script type="text/javascript">
                              jQuery('.menu-main-menu-interior-container').addClass('menu-main-menu-container')
                         </script>
					</div>  <!-- END .menu main -->
				</div>  <!-- END .wrapper -->
			</div>
		</div> <!-- END header -->

<!-- End Template: header.php  -->